View Issue Details

IDProjectCategoryView StatusLast Update
0017959mantisbtupgradepublic2015-04-28 03:35
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-beta.2Fixed in Version1.3.0-beta.2 
Summary0017959: Upgrade unattended produces a warning
Description

PHP Fatal error: Cannot use object of type stdClass as array in /path/to/mantis/core/install_helper_functions_api.php on line 477

The json_decode produces a class, yet the rest of the install_stored_filter_migrate() accesses it as a stdClass.

Tagsmantishub

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master eb44011b

2014-12-13 13:41:24

vboctor

Details Diff
Fix 17959: Upgrade unattended produces a warning
mod - core/install_helper_functions_api.php Diff File

Issue History

Date Modified Username Field Change
2014-12-13 13:38 vboctor New Issue
2014-12-13 13:38 vboctor Status new => assigned
2014-12-13 13:38 vboctor Assigned To => vboctor
2014-12-13 13:55 vboctor Changeset attached => MantisBT master eb44011b
2014-12-13 13:55 vboctor Status assigned => resolved
2014-12-13 13:55 vboctor Resolution open => fixed
2014-12-13 13:55 vboctor Fixed in Version => 1.3.0-beta.2
2015-03-15 19:58 dregad Status resolved => closed
2015-04-28 03:35 vboctor Tag Attached: mantishub